Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Attributes | List of all members
peripheral::ModbusCfg Interface Reference

## Classes
struct | SerialSettings

## Public Types
enum | ModbusFunction { COIL , DISCRETE_INPUT , HOLDING_REGISTER , INPUT_REGISTER }
enum | SpecificModbusErrors { ERROR_BADCRC , ERROR_BADDATA , ERROR_BADEXC , ERROR_UNKEXC , ERROR_MDATA , ERROR_OTHER }

## Public Attributes
constant int | EXCEPTION_ILLEGAL_FUNCTION = 1
constant int | EXCEPTION_ILLEGAL_DATA_ADDRESS = 2
constant int | EXCEPTION_ILLEGAL_DATA_VALUE = 3
constant int | EXCEPTION_SLAVE_OR_SERVER_FAILURE = 4
constant int | EXCEPTION_ACKNOWLEDGE = 5
constant int | EXCEPTION_SLAVE_OR_SERVER_BUSY = 6
constant int | EXCEPTION_NEGATIVE_ACKNOWLEDGE = 7
constant int | EXCEPTION_MEMORY_PARITY = 8
constant int | EXCEPTION_GATEWAY_PATH = 10
constant int | EXCEPTION_GATEWAY_TARGET = 11

The documentation for this interface was generated from the following file:

- ModbusCfg.idl